## galapi
Class ExternalContext

    java.lang.Object
      galapi.Context
          galapi.ExternalContext

public class ExternalContext
extends Context

The `ExternalContext` includes an optional value for the context item (known as ".") and a list of variable name, `ItemList` value pairs.

Field Summary

Fields inherited from class galapi.Context
`item`

Constructor Summary
`ExternalContext(ItemList ctxt_item, NameValuePair[] vars)`

Method Summary
`protected static int` `externalContextToItem(int ci, java.lang.String[] vars, int[] values)`

Methods inherited from class galapi.Context
`finalize, getNativeItem, nativeFree, setItem`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalContext

    public ExternalContext(ItemList ctxt_item,
                           NameValuePair[] vars)
                    throws GalapiException

Method Detail

### externalContextToItem

    protected static int externalContextToItem(int ci,
                                               java.lang.String[] vars,
                                               int[] values)